/**
 * @Author Pull
 * @Date 2021-01-25 14:15
 * @project chatPageIcon
 */
export default class _default {
    /**
     * @description {聊天内容区，管理员icon}
     * */
    static OfficialAccountIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {Chat 顶部最小化icon}
     * */
    static HeaderResizeMinIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {顶部窗口大小切换icon}
     * */
    static HeaderResizeToggleIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {顶部窗口大小切换icon}
     * */
    static HeaderCloseIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {顶部窗口阅后即焚图标}
     */
    static HeaderBurningIcon({ bodyStyle, title }: {
        bodyStyle: any;
        title: any;
    }): JSX.Element;
    /**
     * @description { NewChat 创建群组多选框Icon 未选择状态}
     */
    static NewChatCheckboxIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { NewChat 创建群组多选框Icon 选中状态}
     */
    static NewChatCheckboxSelectedIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description 上传 自动下载 取消按钮
     */
    static CancelXRedIcon({ bodyStyle, title }: {
        bodyStyle: any;
        title: any;
    }): JSX.Element;
    /**
     * @description 文件粘贴 删除
     */
    static FileIconDelete({ bodyStyle, title }: {
        bodyStyle: any;
        title: any;
    }): JSX.Element;
    static TranslateComplete({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 视频通话Icon }
     */
    static MessageCameraIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 文件 Icon }
     */
    static MessageFolderIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 音频通话 Icon }
     */
    static MessageTelephoneIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 音频通话 未接通 }
     */
    static MessageTelephoneClose({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 表情 Icon }
     */
    static MessageFaceIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): JSX.Element;
    /**
     * @description { 截图 Icon }
     */
    static MessageScreenshot({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 发送 Icon}
     */
    static MessageSendIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 消息错误 发送失败 Icon }
     */
    static MessageErrorIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 消息已读 Icon }
     */
    static MessageReadIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 消息已读 Icon }
     */
    static MessageReceivedIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * 会话消息免打扰Icon
     * @param bodyStyle
     * @param title
     * @return {JSX.Element}
     * @constructor
     */
    static MessageSilentIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static MessageBurnIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static MessageSending({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineVideoCall({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineVoiceCall({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
}
